classification
Title: test_import breaks on Linux
Type: Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: remind
Dependencies: Superseder: Crash on Windows if Python runs from a directory with umlauts
View: 1342
Assigned To: christian.heimes Nosy List: christian.heimes, gvanrossum
Priority: normal Keywords:

Created on 2007-11-02 23:45 by gvanrossum, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (5)
msg57079 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-02 23:45
Error output:

test_import@test/test????test test_import failed -- Traceback (most
recent call last):  File
"/usr/local/google/home/guido/python/py3k-main/Lib/test/test_import.py",
line 184, in test_sys_path_with_unicode    mod =
__import__("testimport%i" % i)ImportError: No module named testimport1
msg57093 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-04 11:20
I'm going to disable the test for now.
msg57287 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-09 00:23
I wouldn't close this until it's fixed.
msg57674 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-20 00:47
Martin gave some insight into the problem
http://permalink.gmane.org/gmane.comp.python.python-3000.devel/10949

The test isn't going to work on systems that don't support UTF-8.
msg58873 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-20 13:16
I've removed the disabled test from py3k. There is no chance it is going
to work on all systems.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-12-20 13:16:46christian.heimessetstatus: open -> closed
messages: + msg58873
2007-11-20 00:47:46christian.heimessetpriority: normal
messages: + msg57674
2007-11-09 00:23:37gvanrossumsetstatus: closed -> open
messages: + msg57287
2007-11-08 13:32:29christian.heimessetstatus: open -> closed
resolution: accepted -> remind
2007-11-04 11:20:14christian.heimessetkeywords: + py3k
resolution: accepted
superseder: Crash on Windows if Python runs from a directory with umlauts
messages: + msg57093
2007-11-02 23:45:03gvanrossumcreate